Bug 1128770 - Missing option in 7.3.2. Agent Start Options (Configuring JON Servers and Agents)
Summary: Missing option in 7.3.2. Agent Start Options (Configuring JON Servers and Ag...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: JON 3.3.0
Assignee: Jared MORGAN
QA Contact: Mike Foley
Jared MORGAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:12 UTC by bkramer
Modified: 2018-12-06 17:42 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
An option was missing from the list of Agent Start Options in the Configuring JON Servers and Agents documentation. Users were unable to view the information associated with the --purgeplugins command. The new documentation contains a reference to the --purgeplugins command. Users can view the command and its description.
Clone Of:
Environment:
[Admin_Config] Ready for Review.
Last Closed: 2014-12-11 14:04:07 UTC
Type: Bug


Attachments (Terms of Use)

Description bkramer 2014-08-11 14:12:56 UTC
Description of problem:
In the chapter 7.3.2 Agent Start Options, the option "--purgeplugins" is missing.

Version-Release number of selected component (if applicable):
JBoss ON 3.2.0

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
This option is not listed.

Expected results:
Option "purgeplugins" should be listed.

Additional info:

Comment 1 bkramer 2014-08-11 14:28:06 UTC
Additional info:

This option is listed when executing "rhq-agent.sh -help":

$ ./rhq-agent.sh -help
RHQ Agent

Usage: org.rhq.enterprise.agent.AgentMain [options]

options:
   -a, --advanced                If setup is needed at startup, the advanced setup is run, rather than the basic
   -c, --config=<filename>       Specifies an agent configuration preferences file (on filesystem or classpath)
   -d, --daemon                  Agent runs in daemon mode - will not read from stdin for commands
   -D<name>[=<value>]            Overrides an agent configuration preference and sets a system property
   -e, --console=<type>          Specifies the implementation to use when reading console input: jline, sigar, java
   -g, --purgeplugins            Deletes all plugins, forcing the agent to re-download all of them
   -h, --help                    Shows this help message (default)
   -i, --input=<filename>        Specifies a script file to be used for input
   -l, --cleanconfig             Clears out existing configuration and data files, except for the security token.
   -L, --fullcleanconfig         Clears out all existing configuration and data files so the agent starts with a totally clean slate
   -n, --nostart                 If specified, the agent will not be automatically started
   -o, --output=<filename>       Specifies a file to write all output (excluding log messages)
   -p, --pref=<preferences name> Specifies the agent preferences name used to identify what configuration to use
   -s, --setup                   Forces the agent to ask setup questions, even if it is fully configured
   -t, --nonative                Forces the agent to disable the native system, even if it is configured for it
   -u, --purgedata               Purges persistent inventory and other data files
   --                            Stop processing options

Comment 3 Jared MORGAN 2014-10-22 02:56:11 UTC
svn commit -m "https://bugzilla.redhat.com/show_bug.cgi?id=1128770 - added the -g --purgeplugins option as described."
Sending        en-US/Agent.xml
Sending        en-US/Feedback.xml
Sending        en-US/Perf.xml
Sending        en-US/Revision_History.xml
Transmitting file data ....
Committed revision 98008.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html/Admin_and_Config/agent-start-cmds.html once staged.

Summary: 

Added the command in as prescribed.


Note You need to log in before you can comment on or make changes to this bug.